--~ Warcraft Plugin for Cyborg MMO7 
--~ Filename: Localisation.lua
--~ Description: Localisation for Warcraft
--~ Copyright (C) 2012 Mad Catz Inc.
--~ Author: Christopher Hooks

--~ This program is free software; you can redistribute it and/or
--~ modify it under the terms of the GNU General Public License
--~ as published by the Free Software Foundation; either version 2
--~ of the License, or (at your option) any later version.

--~ This program is distributed in the hope that it will be useful,
--~ but WITHOUT ANY WARRANTY; without even the implied warranty of
--~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--~ GNU General Public License for more details.

--~ You should have received a copy of the GNU General Public License
--~ along with this program; if not, write to the Free Software
--~ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

InternationalMode = {
	["enUS"] = {
		"ALT-CTRL-E",
		"ALT-CTRL-F",
		"ALT-CTRL-["
	},
	["frFR"] = {
		"ALT-CTRL-E",
		"ALT-CTRL-F",
		"ALT-CTRL-^"
	},
	["deDE"] = {
		"ALT-CTRL-E",
		"ALT-CTRL-F",
		"ALT-CTRL-"
	},
	["zhCN"] = {
		"ALT-CTRL-E",
		"ALT-CTRL-F",
		"ALT-CTRL-["
	},
	["zhTW"] = {
		"ALT-CTRL-E",
		"ALT-CTRL-F",
		"ALT-CTRL-["
	},
	["esES"] = {
		"ALT-CTRL-E",
		"ALT-CTRL-F",
		"ALT-CTRL-'"
	},
	["esMX"] = {
		"ALT-CTRL-E",
		"ALT-CTRL-F",
		"ALT-CTRL-'"
	}
}



InternationalWowCommands = {
	["enUS"] = {
		"ALT-CTRL-NUMPAD1",
		"ALT-CTRL-NUMPAD2",
		"ALT-CTRL-NUMPAD3",
		"ALT-CTRL-NUMPAD4",
		"ALT-CTRL-NUMPAD5",
		"ALT-CTRL-NUMPAD6",
		"ALT-CTRL-NUMPAD7",
		"ALT-CTRL-NUMPAD8",
		"ALT-CTRL-NUMPAD9",
		"ALT-CTRL-NUMPAD0",
		"ALT-CTRL-1",
		"ALT-CTRL-2",
		"ALT-CTRL-3",
		"ALT-CTRL-4",
		"ALT-CTRL-5",
		"ALT-CTRL-6",
		"ALT-CTRL-7",
		"ALT-CTRL-8",
		"ALT-CTRL-9",
		"ALT-CTRL-0",
		"ALT-CTRL-F1",
		"ALT-CTRL-F2",
		"ALT-CTRL-F3",
		"ALT-CTRL-F4",
		"ALT-CTRL-F5",
		"ALT-CTRL-F6",
		"ALT-CTRL-F7",
		"ALT-CTRL-F8",
		"ALT-CTRL-F9",
		"ALT-CTRL-F10",
		"ALT-CTRL-F11",
		"ALT-CTRL-F12",
		"ALT-CTRL--",
		"ALT-CTRL-H",
		"ALT-CTRL-A",
		"ALT-CTRL-B",
		"ALT-CTRL-C",
		"ALT-CTRL-D",
		"ALT-CTRL-END"
	},
	["frFR"] = {
		"ALT-CTRL-NUMPAD1",
		"ALT-CTRL-NUMPAD2",
		"ALT-CTRL-NUMPAD3",
		"ALT-CTRL-NUMPAD4",
		"ALT-CTRL-NUMPAD5",
		"ALT-CTRL-NUMPAD6",
		"ALT-CTRL-NUMPAD7",
		"ALT-CTRL-NUMPAD8",
		"ALT-CTRL-NUMPAD9",
		"ALT-CTRL-NUMPAD0",
		"ALT-CTRL-1",
		"ALT-CTRL-2",
		"ALT-CTRL-3",
		"ALT-CTRL-4",
		"ALT-CTRL-5",
		"ALT-CTRL-6",
		"ALT-CTRL-7",
		"ALT-CTRL-8",
		"ALT-CTRL-9",
		"ALT-CTRL-0",
		"ALT-CTRL-F1",
		"ALT-CTRL-F2",
		"ALT-CTRL-F3",
		"ALT-CTRL-F4",
		"ALT-CTRL-F5",
		"ALT-CTRL-F6",
		"ALT-CTRL-F7",
		"ALT-CTRL-F8",
		"ALT-CTRL-F9",
		"ALT-CTRL-F10",
		"ALT-CTRL-F11",
		"ALT-CTRL-F12",
		"ALT-CTRL-)",
		"ALT-CTRL-H",
		"ALT-CTRL-Q",
		"ALT-CTRL-B",
		"ALT-CTRL-C",
		"ALT-CTRL-D",
		"ALT-CTRL-END"
	},
	["deDE"] = {
		"ALT-CTRL-NUMPAD1",
		"ALT-CTRL-NUMPAD2",
		"ALT-CTRL-NUMPAD3",
		"ALT-CTRL-NUMPAD4",
		"ALT-CTRL-NUMPAD5",
		"ALT-CTRL-NUMPAD6",
		"ALT-CTRL-NUMPAD7",
		"ALT-CTRL-NUMPAD8",
		"ALT-CTRL-NUMPAD9",
		"ALT-CTRL-NUMPAD0",
		"ALT-CTRL-1",
		"ALT-CTRL-2",
		"ALT-CTRL-3",
		"ALT-CTRL-4",
		"ALT-CTRL-5",
		"ALT-CTRL-6",
		"ALT-CTRL-7",
		"ALT-CTRL-8",
		"ALT-CTRL-9",
		"ALT-CTRL-0",
		"ALT-CTRL-F1",
		"ALT-CTRL-F2",
		"ALT-CTRL-F3",
		"ALT-CTRL-F4",
		"ALT-CTRL-F5",
		"ALT-CTRL-F6",
		"ALT-CTRL-F7",
		"ALT-CTRL-F8",
		"ALT-CTRL-F9",
		"ALT-CTRL-F10",
		"ALT-CTRL-F11",
		"ALT-CTRL-F12",
		"ALT-CTRL-",
		"ALT-CTRL-H",
		"ALT-CTRL-A",
		"ALT-CTRL-B",
		"ALT-CTRL-C",
		"ALT-CTRL-D",
		"ALT-CTRL-END"
	},
	["zhCN"] = {
		"ALT-CTRL-NUMPAD1",
		"ALT-CTRL-NUMPAD2",
		"ALT-CTRL-NUMPAD3",
		"ALT-CTRL-NUMPAD4",
		"ALT-CTRL-NUMPAD5",
		"ALT-CTRL-NUMPAD6",
		"ALT-CTRL-NUMPAD7",
		"ALT-CTRL-NUMPAD8",
		"ALT-CTRL-NUMPAD9",
		"ALT-CTRL-NUMPAD0",
		"ALT-CTRL-1",
		"ALT-CTRL-2",
		"ALT-CTRL-3",
		"ALT-CTRL-4",
		"ALT-CTRL-5",
		"ALT-CTRL-6",
		"ALT-CTRL-7",
		"ALT-CTRL-8",
		"ALT-CTRL-9",
		"ALT-CTRL-0",
		"ALT-CTRL-F1",
		"ALT-CTRL-F2",
		"ALT-CTRL-F3",
		"ALT-CTRL-F4",
		"ALT-CTRL-F5",
		"ALT-CTRL-F6",
		"ALT-CTRL-F7",
		"ALT-CTRL-F8",
		"ALT-CTRL-F9",
		"ALT-CTRL-F10",
		"ALT-CTRL-F11",
		"ALT-CTRL-F12",
		"ALT-CTRL--",
		"ALT-CTRL-H",
		"ALT-CTRL-A",
		"ALT-CTRL-B",
		"ALT-CTRL-C",
		"ALT-CTRL-D",
		"ALT-CTRL-END"
	},
	["zhTW"] = {
		"ALT-CTRL-NUMPAD1",
		"ALT-CTRL-NUMPAD2",
		"ALT-CTRL-NUMPAD3",
		"ALT-CTRL-NUMPAD4",
		"ALT-CTRL-NUMPAD5",
		"ALT-CTRL-NUMPAD6",
		"ALT-CTRL-NUMPAD7",
		"ALT-CTRL-NUMPAD8",
		"ALT-CTRL-NUMPAD9",
		"ALT-CTRL-NUMPAD0",
		"ALT-CTRL-1",
		"ALT-CTRL-2",
		"ALT-CTRL-3",
		"ALT-CTRL-4",
		"ALT-CTRL-5",
		"ALT-CTRL-6",
		"ALT-CTRL-7",
		"ALT-CTRL-8",
		"ALT-CTRL-9",
		"ALT-CTRL-0",
		"ALT-CTRL-F1",
		"ALT-CTRL-F2",
		"ALT-CTRL-F3",
		"ALT-CTRL-F4",
		"ALT-CTRL-F5",
		"ALT-CTRL-F6",
		"ALT-CTRL-F7",
		"ALT-CTRL-F8",
		"ALT-CTRL-F9",
		"ALT-CTRL-F10",
		"ALT-CTRL-F11",
		"ALT-CTRL-F12",
		"ALT-CTRL--",
		"ALT-CTRL-H",
		"ALT-CTRL-A",
		"ALT-CTRL-B",
		"ALT-CTRL-C",
		"ALT-CTRL-D",
		"ALT-CTRL-END"
	},
	["esES"] = {
		"ALT-CTRL-NUMPAD1",
		"ALT-CTRL-NUMPAD2",
		"ALT-CTRL-NUMPAD3",
		"ALT-CTRL-NUMPAD4",
		"ALT-CTRL-NUMPAD5",
		"ALT-CTRL-NUMPAD6",
		"ALT-CTRL-NUMPAD7",
		"ALT-CTRL-NUMPAD8",
		"ALT-CTRL-NUMPAD9",
		"ALT-CTRL-NUMPAD0",
		"ALT-CTRL-1",
		"ALT-CTRL-2",
		"ALT-CTRL-3",
		"ALT-CTRL-4",
		"ALT-CTRL-5",
		"ALT-CTRL-6",
		"ALT-CTRL-7",
		"ALT-CTRL-8",
		"ALT-CTRL-9",
		"ALT-CTRL-0",
		"ALT-CTRL-F1",
		"ALT-CTRL-F2",
		"ALT-CTRL-F3",
		"ALT-CTRL-F4",
		"ALT-CTRL-F5",
		"ALT-CTRL-F6",
		"ALT-CTRL-F7",
		"ALT-CTRL-F8",
		"ALT-CTRL-F9",
		"ALT-CTRL-F10",
		"ALT-CTRL-F11",
		"ALT-CTRL-F12",
		"ALT-CTRL-'",
		"ALT-CTRL-H",
		"ALT-CTRL-A",
		"ALT-CTRL-B",
		"ALT-CTRL-C",
		"ALT-CTRL-D",
		"ALT-CTRL-END"
	},
	["esMX"] = {
		"ALT-CTRL-NUMPAD1",
		"ALT-CTRL-NUMPAD2",
		"ALT-CTRL-NUMPAD3",
		"ALT-CTRL-NUMPAD4",
		"ALT-CTRL-NUMPAD5",
		"ALT-CTRL-NUMPAD6",
		"ALT-CTRL-NUMPAD7",
		"ALT-CTRL-NUMPAD8",
		"ALT-CTRL-NUMPAD9",
		"ALT-CTRL-NUMPAD0",
		"ALT-CTRL-1",
		"ALT-CTRL-2",
		"ALT-CTRL-3",
		"ALT-CTRL-4",
		"ALT-CTRL-5",
		"ALT-CTRL-6",
		"ALT-CTRL-7",
		"ALT-CTRL-8",
		"ALT-CTRL-9",
		"ALT-CTRL-0",
		"ALT-CTRL-F1",
		"ALT-CTRL-F2",
		"ALT-CTRL-F3",
		"ALT-CTRL-F4",
		"ALT-CTRL-F5",
		"ALT-CTRL-F6",
		"ALT-CTRL-F7",
		"ALT-CTRL-F8",
		"ALT-CTRL-F9",
		"ALT-CTRL-F10",
		"ALT-CTRL-F11",
		"ALT-CTRL-F12",
		"ALT-CTRL-'",
		"ALT-CTRL-H",
		"ALT-CTRL-A",
		"ALT-CTRL-B",
		"ALT-CTRL-C",
		"ALT-CTRL-D",
		"ALT-CTRL-END"
	}
}

InternationalStringTable = {
	["enUS"] = {
		BindingFrameExitButton="Close",
		BindingFrameHeaderText="Please press the appropriate button",
		CurrentBinding="Current Binding",
		CyborgButtonTitle="Cyborg Button",
		CyborgSizeSliderTitle="Cyborg Head Size",
		MiniMapButtonTitle="MiniMap Button",
		MouseRow10Name="Back Button",
		MouseRow11Name="Button 3",
		MouseRow12Name="Thumb Anticlockwise",
		MouseRow13Name="Thumb Clockwise",
		MouseRow1Name="Scroll Button",
		MouseRow2Name="Forwards Button",
		MouseRow3Name="Button 2",
		MouseRow4Name="Hat Top",
		MouseRow5Name="Precision Aim",
		MouseRow6Name="Hat Bottom",
		MouseRow7Name="Hat Left",
		MouseRow8Name="Hat Right",
		MouseRow9Name="Button 1",
		MouseRowAName="Back Button",
		MouseRowBName="Button 3",
		MouseRowCName="Thumb Anticlockwise",
		MouseRowDName="Thumb Clockwise",
		OptionPageSetDefaults="Default",
		OptionPageTitle="Cyborg MMO7",
		PluginSizeSliderTitle="Interface Window Size",
		Mode1="Mode 1",
		Mode2="Mode 2",
		Mode3="Mode 3"
	},
	["frFR"] = {
		CyborgButtonTitle="Bouton Cyborg",
		MiniMapButtonTitle="Bouton minimap",
		OptionPageTitle="Cyborg MMO7",
		OptionPageSetDefaults="Par dfaut",
		CyborgSizeSliderTitle="Dimension de la tte Cyborg",
		PluginSizeSliderTitle="Dimension de la fentre d'interface"
	},
	["deDE"] = {
		CyborgButtonTitle="Cyborg-Taste",
		MiniMapButtonTitle="MiniMap-Taste",
		OptionPageTitle="Cyborg MMO7",
		OptionPageSetDefaults="Standard",
		CyborgSizeSliderTitle="Gre des Cyborg-Kopfes",
		PluginSizeSliderTitle="Gre des Schnittstellenfensters"
	},
	["zhCN"] = {
		CyborgButtonTitle="Cyborg ??",
		MiniMapButtonTitle="??????",
		OptionPageTitle="Cyborg MMO7",
		OptionPageSetDefaults="??",
		CyborgSizeSliderTitle="Cyborg ????",
		PluginSizeSliderTitle="??????"
	},
	["zhTW"] = {
		CyborgButtonTitle="Cyborg ??",
		MiniMapButtonTitle="MiniMap ??",
		OptionPageTitle="Cyborg MMO7",
		OptionPageSetDefaults="??",
		CyborgSizeSliderTitle="Cyborg ???",
		PluginSizeSliderTitle="??????"
	},
	["esES"] = {
		CyborgButtonTitle="Botn Cyborg",
		MiniMapButtonTitle="Botn Minimapa",
		OptionPageTitle="Cyborg MMO7",
		OptionPageSetDefaults="Predeterminado",
		CyborgSizeSliderTitle="Tamao de la cabeza de Cyborg",
		PluginSizeSliderTitle="Tamao de la ventana de la interfaz"
	},
	["esMX"] = {
		CyborgButtonTitle="Botn de Cyborg",
		MiniMapButtonTitle="Botn de Minimapa",
		OptionPageTitle="Cyborg MMO7",
		OptionPageSetDefaults="Modo predeterminado",
		CyborgSizeSliderTitle="Tamao de la cabeza de Cyborg",
		PluginSizeSliderTitle="Tamao de la ventana de interfaz"
	}
}

Mode = InternationalMode[GetLocale()]
WowCommands = nil
StringTable = InternationalStringTable[GetLocale()]